Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Democracy Player from Zugania
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
SDNick484
Apprentice
Apprentice


Joined: 05 Dec 2005
Posts: 205

PostPosted: Sat Aug 05, 2006 7:56 am    Post subject: Democracy Player from Zugania Reply with quote

I just notced democracy player from zugania-portage doesn't work out of the box, but it's easy to fix. All you need to do is emerge bsddb3 and append the number 3 to the end of line three on /usr/lib/python2.4/site-packages/democracy/dl_daemon/download.py (so change "import bsddb" to "import bsddb3"). I haven't tested it extensively, but at least with these changes it launches and seems to function as one would expect.
Back to top
View user's profile Send private message
elpargo
Tux's lil' helper
Tux's lil' helper


Joined: 24 Nov 2004
Posts: 81

PostPosted: Sun Oct 22, 2006 4:00 am    Post subject: Reply with quote

that's very very old.

I have been maintaining the one at sunrise overlay.

it's even consider the official by democracy's team.

here are install instructions
http://www.getdemocracy.com/downloads/gentoo.php
Back to top
View user's profile Send private message
xcable
Guru
Guru


Joined: 15 Aug 2002
Posts: 424
Location: College Station, Texas

PostPosted: Sat Dec 02, 2006 11:42 pm    Post subject: Reply with quote

The instructions do not work or are incomplete.
Code:

localhost media-video # emerge -p democracy

These are the packages that would be merged, in order:

Calculating dependencies
emerge: there are no ebuilds to satisfy "democracy".


Code:

emerge layman
layman -a sunrise
emerge democracy

.. was done without error (after fixing several library problems with recompiles and new sym links).

--
heath
Back to top
View user's profile Send private message
pinr
Apprentice
Apprentice


Joined: 26 Jan 2003
Posts: 241
Location: Monterrey, Mexico

PostPosted: Sun Dec 03, 2006 3:11 pm    Post subject: Reply with quote

I get:
layman -a sunrise
* Overlay "sunrise" does not exist!
Any suggestions?
Back to top
View user's profile Send private message
Beetle B.
Guru
Guru


Joined: 01 Mar 2003
Posts: 508

PostPosted: Sun Dec 03, 2006 4:59 pm    Post subject: Reply with quote

Did you add:

Code:
source /usr/portage/local/layman/make.conf
in your /etc/make.conf?
_________________
Beetle B.

Please update the table of equivalents.
A Firefox guide.
Back to top
View user's profile Send private message
pinr
Apprentice
Apprentice


Joined: 26 Jan 2003
Posts: 241
Location: Monterrey, Mexico

PostPosted: Sun Dec 03, 2006 5:11 pm    Post subject: Reply with quote

Beetle B. wrote:
Did you add:

Code:
source /usr/portage/local/layman/make.conf
in your /etc/make.conf?

Yes I did, anyway I remerged layman and it seems to be ok now
Thanks
Back to top
View user's profile Send private message
strc
Tux's lil' helper
Tux's lil' helper


Joined: 07 Jul 2002
Posts: 77

PostPosted: Sun Dec 03, 2006 6:33 pm    Post subject: Reply with quote

I compiled democracy player 0.9.2.1-r1 today using the sunrise ebuild, and the program works to some extent. But after some time, the main window hangs (stops refreshing and refuses to close), and I'm forced to kill it. Has anybody else had this problem?
Back to top
View user's profile Send private message
munchagepeople
n00b
n00b


Joined: 10 Feb 2005
Posts: 41
Location: Bristol University, UK

PostPosted: Sun Dec 03, 2006 11:32 pm    Post subject: Reply with quote

The main window hanging problem has occured to me too - no warning, just hangs up. Even after the window if force-closed, I still need to manually kill -9 the associated processes.

Also, I can only run democracy as root - it seg faults before start as a user - does anyone know of any solutions to this?
_________________
"I do not feel obliged that the same God who has endowed us with sense, reason and intellect has intended us to forgo their use" - Galileo Galilei
Back to top
View user's profile Send private message
Koala Kid
Guru
Guru


Joined: 09 May 2003
Posts: 378

PostPosted: Mon Dec 04, 2006 7:00 pm    Post subject: Reply with quote

I can't even start it as root:

Code:
koala@mindphaser ~ $ democracyplayer
/usr/lib/python2.4/site-packages/democracy/frontend_implementation/Application.py:26: GtkDeprecationWarning: gtk.threads_init is deprecated, use gtk.gdk.threads_init instead
  gtk.threads_init()
DTV: Starting up Democracy Player
DTV: Version:  0.9.2.1
DTV: Revision: unknown
DTV: Loading preferences...
DTV: Showing startup dialog...
/usr/lib/python2.4/site-packages/democracy/frontend_implementation/startup.py:47: GtkWarning: Unable to locate theme engine in module_path: "ubuntulooks",
  widgetTree = MainFrame.WidgetTree(resources.path('democracy.glade'), 'dialog-startup', 'democracyplayer')
Segmentation fault
Back to top
View user's profile Send private message
elpargo
Tux's lil' helper
Tux's lil' helper


Joined: 24 Nov 2004
Posts: 81

PostPosted: Tue Dec 12, 2006 7:24 pm    Post subject: Reply with quote

Koala Kid wrote:
I can't even start it as root:

Code:
koala@mindphaser ~ $ democracyplayer
/usr/lib/python2.4/site-packages/democracy/frontend_implementation/Application.py:26: GtkDeprecationWarning: gtk.threads_init is deprecated, use gtk.gdk.threads_init instead
  gtk.threads_init()
DTV: Starting up Democracy Player
DTV: Version:  0.9.2.1
DTV: Revision: unknown
DTV: Loading preferences...
DTV: Showing startup dialog...
/usr/lib/python2.4/site-packages/democracy/frontend_implementation/startup.py:47: GtkWarning: Unable to locate theme engine in module_path: "ubuntulooks",
  widgetTree = MainFrame.WidgetTree(resources.path('democracy.glade'), 'dialog-startup', 'democracyplayer')
Segmentation fault


that has nothing to do, please read the upgrade instructions for GTK, you will need to rebuild all your packages that depend on gtk after the upgrade to 2.16
Back to top
View user's profile Send private message
elpargo
Tux's lil' helper
Tux's lil' helper


Joined: 24 Nov 2004
Posts: 81

PostPosted: Tue Dec 12, 2006 7:44 pm    Post subject: Reply with quote

can this thread be closed? in favor of https://forums.gentoo.org/viewtopic-p-3778702.html
Back to top
View user's profile Send private message
wolfger
Apprentice
Apprentice


Joined: 09 Jun 2003
Posts: 254
Location: New Baltimore, MI

PostPosted: Thu Jun 07, 2007 10:24 pm    Post subject: Reply with quote

elpargo wrote:
that's very very old.

I have been maintaining the one at sunrise overlay.

it's even consider the official by democracy's team.

here are install instructions
http://www.getdemocracy.com/downloads/gentoo.php

Doesn't work. I get the following error:
Code:
Traceback (most recent call last):
  File "/usr/bin/democracyplayer", line 102, in ?
    startapp()
  File "/usr/bin/democracyplayer", line 51, in startapp
    import singleclick
  File "/usr/lib64/python2.4/site-packages/democracy/singleclick.py", line 17, in ?
    import app
  File "/usr/lib64/python2.4/site-packages/democracy/app.py", line 27, in ?
    import storedatabase
  File "/usr/lib64/python2.4/site-packages/democracy/storedatabase.py", line 40, in ?
    import bsddb.db
  File "/usr/lib/python2.4/bsddb/__init__.py", line 47, in ?
    import _bsddb
ImportError: No module named _bsddb

I tried the bsddb3 fix listed at the top of this thread, but it didn't do me any good, either. Anybody got any ideas? This is media-tv/democracy-0.9.5.1 from Sunrise.
_________________
Nothing to see here. Move along.
Back to top
View user's profile Send private message
ROBO_DONUT
Tux's lil' helper
Tux's lil' helper


Joined: 03 Jan 2005
Posts: 144

PostPosted: Mon Jun 18, 2007 3:30 am    Post subject: Reply with quote

With a few modifications to two files, I was able to get Democracy Player 0.9.5.1 to work.
This is the output of diff:
Code:
diff -urN Democracy-0.9.5.1/portable/dl_daemon/download.py Democracy-0.9.5.1-WORKS/portable/dl_daemon/download.py
--- Democracy-0.9.5.1/portable/dl_daemon/download.py    2007-02-20 14:56:56.000000000 -0500
+++ Democracy-0.9.5.1-WORKS/portable/dl_daemon/download.py      2007-06-17 18:27:55.000000000 -0500
@@ -1,6 +1,6 @@
 import os
 import sys
-import bsddb
+import bsddb3
 import shutil
 import types
 from gettext import gettext as _




diff -urN Democracy-0.9.5.1/portable/storedatabase.py Democracy-0.9.5.1-WORKS/portable/storedatabase.py
--- Democracy-0.9.5.1/portable/storedatabase.py 2007-02-20 14:57:00.000000000 -0500
+++ Democracy-0.9.5.1-WORKS/portable/storedatabase.py   2007-06-17 18:27:55.000000000 -0500
@@ -37,7 +37,7 @@
 import schema as schema_mod
 import eventloop
 import app
-import bsddb.db
+import bsddb3.db
 import dialogs
 import logging
 from gtcache import gettext as _
@@ -531,7 +531,7 @@
                     try:
                         self.db.open ("database")
                         self.version = int(self.db[VERSION_KEY])
-                    except (bsddb.db.DBNoSuchFileError, KeyError):
+                    except (bsddb3.db.DBNoSuchFileError, KeyError):
                         self.closeInvalidDB()
                         try:
                             restoreDatabase()
@@ -554,7 +554,7 @@
             end = clock()
             if end - start > 0.05 and util.chatter:
                 logging.timing ("Database load slow: %.3f", end - start)
-        except bsddb.db.DBNoSpaceError:
+        except bsddb3.db.DBNoSpaceError:
             frontend.exit(28)
 
     def dumpDatabase(self, db):
@@ -637,11 +637,11 @@
             raise
         except:
             pass
-        self.dbenv = bsddb.db.DBEnv()
-        self.dbenv.set_flags (bsddb.db.DB_AUTO_COMMIT | bsddb.db.DB_TXN_NOSYNC, True)
+        self.dbenv = bsddb3.db.DBEnv()
+        self.dbenv.set_flags (bsddb3.db.DB_AUTO_COMMIT | bsddb3.db.DB_TXN_NOSYNC, True)
         self.dbenv.set_lg_max (1024 * 1024)
-        self.dbenv.open (self.dbPath, bsddb.db.DB_INIT_LOG | bsddb.db.DB_INIT_MPOOL | bsddb.db.DB_INIT_TXN | bsddb.db.DB_RECOVER | bsddb.db.DB_CREATE)
-        self.db = bsddb.db.DB(self.dbenv)
+        self.dbenv.open (self.dbPath, bsddb3.db.DB_INIT_LOG | bsddb3.db.DB_INIT_MPOOL | bsddb3.db.DB_INIT_TXN | bsddb3.db.DB_RECOVER | bsddb3.db.DB_CREATE)
+        self.db = bsddb3.db.DB(self.dbenv)
         self.closed = False
 
     def closeInvalidDB(self):
@@ -690,7 +690,7 @@
                 else:
                     try:
                         self.db.delete (str(o.savedData['id']))
-                    except bsddb.db.DBNotFoundError:
+                    except bsddb3.db.DBNotFoundError:
                         # If an object was created and removed during
                         # upgrade, it won't be in the database to be
                         # removed, so catch the exception
@@ -752,8 +752,8 @@
         database.confirmDBThread()
         db = database.defaultDatabase
         self.txn = self.dbenv.txn_begin()
-        self.db = bsddb.db.DB(self.dbenv)
-        self.db.open ("database", flags = bsddb.db.DB_CREATE, dbtype = bsddb.db.DB_HASH, txn=self.txn)
+        self.db = bsddb3.db.DB(self.dbenv)
+        self.db.open ("database", flags = bsddb3.db.DB_CREATE, dbtype = bsddb3.db.DB_HASH, txn=self.txn)
         for o in db.objects:
             self.update(o[0])
         self.version = schema_mod.VERSION
@@ -783,7 +783,7 @@
                 # exception
                 try:
                     self.remove (object)
-                except bsddb.db.DBNotFoundError:
+                except bsddb3.db.DBNotFoundError:
                     pass
             for object in self.toUpdate:
                 self.update (object)
@@ -800,7 +800,7 @@
                                "data.")
                 dialogs.MessageBoxDialog(title, description).run()
                 self.errorState = False
-        except bsddb.db.DBNoSpaceError, err:
+        except bsddb3.db.DBNoSpaceError, err:
             if not self.errorState:
                 title = _("%s database save failed") % (config.get(prefs.SHORT_APP_NAME), )
                 description = _("%s was unable to save its database: Disk Full.\nWe suggest deleting files from the full disk or simply deleting some movies from your collection.\nRecent changes may be lost.") % (config.get(prefs.LONG_APP_NAME))
@@ -856,13 +856,13 @@
                 return
             self.dbenv.txn_checkpoint()
             self.sync()
-            for logfile in self.dbenv.log_archive(bsddb.db.DB_ARCH_ABS):
+            for logfile in self.dbenv.log_archive(bsddb3.db.DB_ARCH_ABS):
                 try:
                     os.remove(logfile)
                 except KeyboardInterrupt:
                     raise
                 except:
                     pass
-        except bsddb.db.DBNoSpaceError:
+        except bsddb3.db.DBNoSpaceError:
             pass
         eventloop.addTimeout(60, self.checkpoint, "Remove Unused Database Logs")
Back to top
View user's profile Send private message
spankmygentoo
n00b
n00b


Joined: 20 Jun 2005
Posts: 39
Location: Utah

PostPosted: Sun Jul 22, 2007 6:28 pm    Post subject: Reply with quote

Hi guys! What is going on with democracy now being changed to Miro? Still gonna do an ebuild on sunrise? That would rock. :)
_________________
--Time moves forward, whether or not you do.
Back to top
View user's profile Send private message
wolfger
Apprentice
Apprentice


Joined: 09 Jun 2003
Posts: 254
Location: New Baltimore, MI

PostPosted: Sun Jul 22, 2007 11:31 pm    Post subject: Reply with quote

It'd be even nicer if it moved to the mainstream...
_________________
Nothing to see here. Move along.
Back to top
View user's profile Send private message
spankmygentoo
n00b
n00b


Joined: 20 Jun 2005
Posts: 39
Location: Utah

PostPosted: Mon Jul 23, 2007 12:19 am    Post subject: Reply with quote

wolfger wrote:
It'd be even nicer if it moved to the mainstream...


Definitely, but Sunrise servers with layman aren't too hard to set up at least. People are missing out by not having it mainstream though. It's quite useful. There's lots of informative video podcasts out there. Hundreds! I couldn't watch all of them if I tried.
_________________
--Time moves forward, whether or not you do.
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 8144

PostPosted: Mon Jul 23, 2007 3:26 am    Post subject: Reply with quote

Moved from Unsupported Software to Duplicate Threads, refer to topic "Democracy Player ebuild".
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum